#ifndef __PERSON_H__
#define __PERSON_H__
#include <afx.h>
#include <iostream>

class CPerson {
	friend std::ostream& operator<<(std::ostream&, const CPerson&);
	friend std::ostream& operator<<(std::ostream&, const CPerson*);
	friend std::istream& operator>>(std::istream&, CPerson&);
	friend bool operator==(const CPerson &lhs, const CPerson &rhs);

public:
	CPerson();				// default constructor
	CPerson(CString, int, CString, CString);	// conversion
	CPerson(const CPerson&);	// copy constructor
	CPerson& operator=(const CPerson&); // operator=
	virtual ~CPerson();
	virtual void Show();

	CString GetName() const { return _name; }
	int GetID() const { return _id; }
	CString GetPhoneNumber() const { return _phone; }
	CString GetAddress() const { return _addr; }

private:
	CString m_strName;
	int m_nID;
	CString m_strPhone;
	CString m_strAddr;
};

#endif